Subject: Re: bug#21468: 24.5; When next-line (visual) crosses overlay with before-string="\n" point goes to column 0

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Oct 2015 10:14:39 +0300

> Date: Fri, 9 Oct 2015 19:34:43 -0400
> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> 
> On 10/2/15, Eli Zaretskii <[email-masked]> wrote:
> >
> > If you want to put the cursor there, you need an overlay with a
> > 'cursor' property.
> 
> This works nicely. But there are some other glitches.
> 
> - On a truncated line with the overlay, move-end-of-line skips to the
> next line. (I tried to avoid this by only adding the stretched space
> when it's going to be visible. But that just made things worse
> (looping in the display engine))
> 
> - When at the end of line, next-line goes to the end-of-line instead
> of staying on the same column.

Are these caused by the 'cursor' property, i.e. do not happen if that
property is not used?

In any case, I'd appreciate a short self-contained test case for each
of these two issues, as I'm not sure I understand what's going on.